ver 47.1:
This version contains a fix for the devices page staying empty on load
in some circumstances, as well as translation updates.

ver 47.0:
This versions contains translation updates, a crash fix when cancelling pairing,
pairing support for the Kawai CA501 music keyboard, and a fix for a device
properties accessibility regression.

ver 47.rc:
This version makes the pairing dialogue adaptive, as well as updating
translations.

ver 47.beta:
This version contains translation updates and build fixes. It also ports
some widgets to use libadwaita's spinner instead of GTK's, simplifying
the code.

ver 47.alpha:
This version fixes the devices list when empty, improves the dialogue when
removing a device, and ports a number of widgets to their modern libadwaita
equivalents.

ver 46.0:
This version contains translation updates.

ver 46.beta:
This version modernises the look of the properties dialogue. It also includes
all the fixes available in version 42.8.

ver 42.7:
This version fixes bugs that stopped the Obex Push server from automatically
accepting files from paired devices and caused the device's Connection switch to
appear out of sync with the connection state. This version also contains build
fixes and updated translations.

ver 42.6:
This version fixes problems with icons for mice and tablets, updates status labels
to be dimmed by default, and contains updated translations.

ver 42.5:
This version fixes the pairing dialogue misbehaving for some Bluetooth Classic
keyboards, with the passkey disappearing after the first digit is typed.

ver 42.4:
This version switches the power state API added in version 42.3 to be backed
by the experimental PowerState property in bluetoothd. The API will not show
transitional states if the version of bluetoothd is too old.

The battery API now exports the battery information for all Bluetooth devices
listed in UPower, not just the ones re-exported from bluetoothd.

ver 42.3:
This version adds a new API for more precise adapter power state, and fixes
a number of small UI problems in bluetooth-sendto.

ver 42.2:
This version fixes duplicate devices appearing when bluetoothd restarts, as well
as the discovery not being updated correctly in that same situation.

ver 42.1:
This version fixes the display of devices with '&' in their names, and contains
updated translations.

ver 42.0:
This version contains updated translations.

ver 42.rc:
This version of gnome-bluetooth fixes a problem that could lead to gnome-shell's
Bluetooth menu not appearing when it should have. This version also makes the
Connect switch available for Bluetooth LE MIDI devices.

ver 42.beta.2:
This version of gnome-bluetooth contains a number of bug fixes related to
the GTK4 port, including spinners not spinning, device removal confirmation
dialog not appearing, pairing dialog not disappearing, and a work-around
to a UPower reference leak that could lead to a crash in the main libraries,
as well as fixes for basic functionality in bluetooth-sendto.

ver 42.beta:
This version of gnome-bluetooth adds a number of APIs to eventually be used
in Settings and gnome-shell:
 - Export battery information for Bluetooth devices which support it
 - Check whether any input devices are connected, so as to be able to show
   a confirmation dialogue when switching off Bluetooth
 - Check whether a device can be connected to

ver 42.alpha.2:
This version of gnome-bluetooth splits the libraries into UI and non-UI
versions. The UI library is only exposed as a native library for the benefit
of gnome-control-center, and the non-UI library is only exposed as an
introspected library for the benefit of gnome-shell.

ver 42.alpha:
This version of gnome-bluetooth contains major API changes, but it is
parallel-installable with the GTK 3-based, 3.34.x versions of the
library.

- Port library to GTK4
- Remove chooser widgets from library
- Remove chooser UI from bluetooth-sendto
- Make bluetooth-sendto optional
- Replace canberra-gtk dependency with gsound
- GtkTreeModel-based API was replaced by a GListModel-based API
- Loads of bug fixes, many new tests
- Make changes to the way the default adapter is selected, see README.md
  for details

ver 3.34.5:
- Fix unwanted soname change
- Note that an unreleased version of python-dbusmock is required
  to run the test suite added in 3.34.4, disable tests if this
  dependency is unavailable.

ver 3.34.4:
- Use device alias instead of device name in Settings UI, and
  don't show devices without a name
- Avoid new devices jumping around in the Settings list
- Fix a warning and a hang when opening the Bluetooth Settings
- Fix a possible hang when switching away from the Bluetooth Settings
- Make the "Cancel" button work when pairing keyboards
- Remove joypad quirks in favour of BlueZ autopair ones
- Remove a number of deprecated calls

ver 3.34.3:
- Fix problem with intermittent connection work-around when
  using the switch in the device properties
- Updated translations

ver 3.34.2:
- Work-around intermittent connection problems by disabling
  discovery when connecting to devices
- Hide pairing dialogue when pairing fails
- Allow $HOME to be the Downloads dir
- Better handling of the 8bitdo Zero gamepad
- Updated translations

ver 3.34.1:
- Prefer “Alias” adapter name to “Name”
- Fix some memory leaks
- Updated translations

ver 3.34.0:
- Fix possible use-after-free when using some gnome-shell extensions
- Updated translations

ver 3.33.90:
- Describe "Reveal" as "Open Containing Folder"
- Updated translations

ver 3.32.1:
- Fix setup of devices that don't need pairing
- Always try to pair pointer devices
- Delegate audio devices quirks to bluez, which means that more
  PIN codes can be tried without user intervention
- Disable discovery when switching settings
- Fix possible warnings when switching settings

ver 3.32.0:
- Add quirk for Evoluent VerticalMouse 4

ver 3.31.1:
- Accessibility fixes and support for narrow displays in
  the Settings panel widget
- Add support for another "Microsoft Sculpt Comfort Mouse"
- Build improvements

ver 3.28.2:
- Use feature of BlueZ 5.51 to avoid Bluetooth adapters being left
  Discoverable if the Settings panel exits suddenly
- Build warning fixes

ver 3.28.1:
- Work-around a race in bluetoothd which would leave Bluetooth adapters
  discoverable even after the Settings panel closed cleanly
- Fix icons in Persian and Punjabi translations

ver 3.28.0:
- Translation updates

ver 3.27.92:
- Avoid crash when Bluetooth panel is switched away from quickly
- Fix connection button state becoming out of sync after disconnect
- Make sure to remove all the devices when bluetoothd crashes
- Stop spinner when it becomes invisible
- Fix compile-time warning

ver 3.27.90:
- Simplify and make BluetoothClient more efficient
- Fix problems when Bluetooth adapters come and go
- Remove quirks already handled by autopair plugin
- Meson build enhancements

ver 3.26.1:
- Fix installation of Bluetooth icons
- Fix Bluetooth icon names for bluetooth-sendto in
  es, ko, sl and zh_TW translations

ver 3.26.0:
- Fix "file received" notifications not being translated
- Translation updates

ver 3.25.91:
- Port to meson build system, and remove autotools build system
- Use Unicode in translatable strings
- Update Settings UI for updated gnome-control-center UI
- Align the explanatory text with the listbox
- Fix crash when exiting panel during pairing

ver 3.20.1:
- Unknown device types now show as "Unknown" rather than "All types"
- Fix an invisible spinner when pairing
- Fix PIN font size

ver 3.20.0:
- Add support for joysticks
- Fix small memory leaks
- Fix a runtime warning when the vendor is unknown
- Fix PIN label size

ver 3.18.3:
- Trust devices paired from the remote device

ver 3.18.2:
- Added API to export adapter status
- Translation updates

ver 3.18.1:
- Fix a number of style regressions in PIN dialogues
- Translation updates

ver 3.18.0:
- Translation updates

ver 3.17.90:

This version of the library adds Obex support to the settings
widget. When the settings panel will be opened, other devices
will be able to send files to the computer.

- Remove outdated end-user documentation

Settings:
- Better empty and disabled state views
- Handle service authorisation requests for HID devices (mice, joypads)
- Fix phone icon if extra icons aren't installed
- Add default PIN for Logitech Ultrathin Touch mouse and
  Microsoft Sculpt Comfort mice

Send-to:
- Show better error message when sending a file fails
- Disallow sending files to iDevices, they don't support Obex

ver 3.16.1:
- Fix Bluetooth 2.1 keyboards not being pairable

ver 3.16.0:
- Translation updates

ver 3.15.4:
- Fix some memory leaks in BluetoothAgent
- Deprecation warning fixes
- Use widget templates to create the UI

ver 3.14.0:
- Translation updates

ver 3.13.90:
- Fix properties dialog bugs
- Fix incorrect use of "Setup" as an adjective
- Use header bar buttons in bluetooth-sendto

ver 3.12.0:
- Fix crasher with GTK+ dialogue changes
- Translation updates

ver 3.11.91:
- Add missing libudev private requires
- Require GTK+ 3.11.2
- Fix crasher with latest GTK+
- Remove GtkStock usage
- Translation updates

ver 3.11.3:
- Obsolete the separate wizard, instead a widget
  to create a Bluetooth Settings panel is provided
  and will be used by gnome-control-center
- Removed APIs:
  - settings/wizard plugins API
  - killswitch (now handled by gnome-settings-daemon's Rfkill plugin)
  - applet gir library
- Better icons for headphones, headsets, Apple, Google and Samsung phones

ver 3.9.91:

- Updated translations
- Fix some issues freeing memory

Wizard:
- Remove extraneous tabs

ver 3.9.3:

- Fix possible assertion with newer kernels on some hardware
- Port to BlueZ 5
- API documentation fixes

Send-To:
- Fix "Retry" button
- Set the From label as soon as we create the window
- Clear the progress bar text when there's an error
- Remove duplicate header label
- Show when all the transfers have completed

Wizard:
- Fix buttons when "retry" is clicked
- Only enable "PIN options" button if device is selected
- Hide PIN options dialogue if the selected device changes

ver 3.8.0:

- Updated translations

ver 3.7.92:

- Fix introspection generation for Vala
- Updated translations

ver 3.7.4:

- Remove fallback applet as GNOME fallback is obsolete.
- Remove ObexFTP browsing support
- Fix help links in GNOME 3.6+

Sendto:
- Remove nautilus-sendto plugin.

Library:
- Fix crasher using BlueZ's development version
- Fix Connect/Disconnect functions not working
- Add internal helper to talk to /dev/rfkill

Wizard:
- Add another OUI for Apple trackpad
- Fix crasher doing substring matching
- Add a white button press (meaning Return) for iCades

ver 3.6.0:
- Updated translations

ver 3.5.92:
- Fix warning in BluetoothAgent
- Add pairing support for iCade variants (mobile, core and jr.)
- Use yelp-tools instead of gnome-doc-utils
- Support LXDE with the fallback applet too
- Updated translations

ver 3.5.5:
- Allow building with nautilus-sendto 3.6
- Namespace killswitch API properly
- Loads of API documentation fixes

ver 3.5.4:
Library:
- Add BlueZ 5 support
- Fix memory leak when registering the pairing agent
- Fix stuck "Finishing" page for some devices

Applet:
- Fix warning and empty device name in some cases

Wizard:
- Use shorter label for the finishing pages
- Fix Simple Pairing never succeeding

ver 3.4.1:
Library:
- Fix potential crashes when registering pairing agents with no adapter present
- Fix warning when bluetooth-sendto exits
- Better API documentation
- Fix warnings related to BluetoothStatusClass

Send-To:
- Document the --name option
- Make the "Retry" button always visible
- Fix warnings when saving the last used address

Wizard:
- Fix setup of devices that don't require pairing

- Grammar and spelling fixes
- Translation updates
and a great number of internal bug fixes

ver 3.4.0:
- Translation updates

ver 3.3.92:
Library:
- Remove generated file from version control

Applet:
- String fixes

Wizard:
- Add support for pairing the iCade
- Improve support for keyboard PINs
- Add OUI for Apple Magic Trackpad
- Add OUI for Sony BD Remote Control

ver 3.3.4:

Applet:
- Fix newly paired devices not appearing in menus
- Update fallback menu to match GNOME Shell's

Library:
- Make the Connect/Disconnect helper function work
- Do not use dbus-glib-1 when building introspection data
- Remove header from chooser widget, breaks API

Wizard:
- Fix assertion when exiting
- Remove "Device Setup Failed" label from the sidebar
- A number of UI tweaks

Plus build fixes, and the removal of the unmaintained Moblin UI

ver 3.3.3:
Library:
- GVariant fixes
- Build improvements

Applet:
- Fix a packing issue

Wizard:
- Improvements in the handling of PIN codes
- Fix a segfault
- Fix an UI issue with the "Close" button

ver 3.3.2:
Library:
- Clean up public API
- Port to GDBus
- Small UI fixes to the chooser

Properties:
- Move to gnome-control-center

Wizard:
- Remove special-case Wiimote handling (now in Bluez)
- Remove multi-adapter support

ver 3.1.92:
Properties:
- Use links to link to other panels
- Fix rounded toolbar buttons

Applet:
- Fix "browse" menu item

And loads of translations

ver 3.1.4:
Properties:
- Fix crash when device has no UUIDs

Applet:
- Change preferences menu items to match the gnome-shell UI

And loads of translations

ver 3.1.3:
Properties:
- Show extra configuration widgets in the properties
- Add Send/Browse buttons
- Small UI changes

Applet:
- Fix crasher when "Browsing device" using the menu item
- Fix "Send To..." overquoting the Bluetooth address

Wizard:
- Handle Wiimote pairing through newer bluez
- Fix a lot of keys not working in the custom PIN entry
- Fix display of Secure Simple Pairing passkeys
- Add old Apple wireless mouse to the PIN database

ver 3.0.0:
Properties:
- Show link to touchpad settings for touchpads
- Hide labels when no devices are selected

Build:
- Use tar-ustar to work-around tar bugs with long filenames

And loads of translations

ver 2.91.92:
Properties:
- Use dim labels
- Fix translation problems
- Use the inline-toolbar style

Geoclue plugin:
- Use GSettings instead of GConf

Wizard:
- Add Magic Trackpad quirk

ver 2.91.91:
Properties:
- Put in the control-center's Hardware category
- Redesign for GNOME 3

Applet:
- Only start the applet in the fallback session

Library:
- Fix a possible warning in the button chooser

Sendto:
- Re-enable sento plugin for GNOME 3.0
- Make double-click select a device
- Add desktop file for nice name in the shell
- Fix packing in dialogue

Wizard:
- Add desktop file for nice name in the shell

ver 2.91.5:
Properties:
- Make dialogue parenting work for errors

Library:
- Use BluetoothClient to track default adapter
- Don't free request_key and passkey in agent reply functions
- Set log domain to differentiate library messages from the lib's ones

Applet:
- Fix crash in bluetooth_applet_create_device_from_iter()
- Fix crash when creating an agent
- Fix crash when unref'ing a DBusGMethodInvocation
- Fix crash when there's no default adapter

Moblin:
- Fix compilation of the Moblin front-end

ver 2.91.2:
- Update command to launch Bluetooth panel
- Fix i18n in the panel
- Make test-plugins test command more useful
- Fix adapter not going powered when coming back from hard-block
- Allow setup of devices that don't support pairing
- Make sure the icon is shown/hidden when killswitch state changes
- Make sure all the unblocked adapters get powered on startup
- Fix visible menu item disappearing after suspend
- Make --dump-devices work again in the applet, and
  fix its output for some services
- Refactor applet as a library, for use in gnome-shell
- Build fixes

ver 2.90.0:
- Port to GSettings, GTK+ 3.x and GtkApplication
- Use GBinding instead of copy/paste Seahorse code
- Plenty of killswitch bug fixes

Applet:
	- Fix browsing a device when already mounted
	- Use symbolic icons

Properties:
	- Port to gnome-control-center 3.x API
	- Add a specific page when Bluetooth is hard-blocked

Moblin/MeeGo:
	- Use bluetoothd backed power switch
	- Some re-designs for meego

ver 2.30.0:
- Updated translations
- Add PIN code for Navman GPS

ver 2.29.91:
- Mention gnome-user-share in the documentation

Applet:
	- Link to the sound preferences for audio devices
	- Remove hard-coded use of nautilus

Library:
	- Use spinner from GTK+
	- Install introspection data properly
	- API documentation fixes
	- Fix some parts of the UI not being translated at run-time

Wizard:
	- Fix run-time warning when pairing a new device

Moblin applet:
	- Add summary page support
	- Fix a number of memory leaks and possible crashers

Sendto:
	- Fix crash when obex-client isn't already running
	- Make Cancel button actually work
	- Implement "retry" when sending fails
	- Fix progress bar when sending multiple files

ver 2.29.3:
- Build and install nautilus-sendto plugin by default

Preferences:
	- Add a button to access "Personal File Sharing" preferences

Library:
	- Clean up combo box selection widget
	- Make it possible to set the selected device in the chooser
	- Make the button chooser select the device when popping up
	  a dialogue

Sendto:
	- Wrap errors instead of clipping them

Wizard:
	- Make it possible to re-pair devices

ver 2.29.2:
- Add Moblin front-end for gnome-bluetooth
- Add experimental nautilus-sendto plugin

Applet:
	- Fix applet showing the wrong connection information
	- Use separate icon for the status icon, for monochromatic themes
	- Add discoverable menu item
	- Fix a number of rfkill related bugs

Library:
	- Make it possible use another widget for device filtering
	- Don't overwrite UUIDs when discovering known devices
	- Add BluetoothChooserCombo widget
	- Fix usage under non-UTF-8 locales

ver 2.28.0:
Applet:
	- Applet fails to connect to disconnected audio devices
	- Fix crash when getting a pairing request from a known
	  rfcomm device
Wizard:
	- Fix pairing of devices that require a PIN entry

ver 2.27.90:
Wizard:
	- Fix crasher when exiting and the NetworkManager
	  plugin was installed
	- Fix wizard not loading because of a bug in the UI
	  definition

Properties:
	- Fix keyboard not working

ver 2.27.9:
All:
	- Port to using new rfkill API in Linux
	  kernel 2.6.31
Applet:
	- Hide unwanted menu items when Bluetooth isn't
	  available
	- Fix connecting to Sony Ericsson phones
	- Fix a crash when disconnecting an audio device
	- Fix devices showing up as connected when they
	  were not

Properties:
	- Close the preferences dialogue when pressing 'Esc'

Wizard:
	- Mention "enter" when pairing a keyboard
	- String fixes

Library:
	- Track whether devices are connecting, as
	  opposed to already connected

ver 2.27.8:
All:
	- A number of UI strings changes

Applet:
	- Make "Connect" in the menu for devices
	  appear correctly after pairing
	- Filter for paired ObexFTP devices in
	  the browse menu item

Preferences:
	- Add link to help

Wizard:
	- Fix crash when selecting a device where
	  the name hasn't been resolved yet

Library:
	- Add introspection support
	- Export device and adapter models for
	  easy enumeration
	- Fix broken filtering for device category
	- Fix possible crasher in spinner widget
	- Ellipsise names in the chooser widget
	- A number of API documentation fixes

ver 2.27.7.1:
Plugins:
	- Install the Geoclue GPS plugin

ver 2.27.7:
Preferences:
	- When deleting a device, pass it through the plugins
	  to delete any other associations

Plugins:
	- Add a test program
	- Add Geoclue GPS setup plugin

Wizard:
	- Fix pairing some fixed PIN devices, and misc fixes

ver 2.27.6:
Applet:
	- Use a better tooltip for the applet
	- Add "Send File" and "Browse files" menu item for devices
	  that support it
	- Add menu items to call the preferences for mice and keyboards
	- Fix assertions when removing a device, and pairing it again
	  without the applet being restarted
	- Don't show "Connect" for devices without input or audio capabilities
	- Support notification-daemon without any support for actions, as
	  used in Ubuntu
	- Pass the device name to bluetooth-sendto
	- Rework UI of all the pairing helper dialogues

Preferences:
	- Fix the adapter page not showing up when restarting bluetoothd
	- Add --dump debug option, to dump a list of all known devices
	  and their properties

Send-to:
	- Fix warning when sending an empty file
	- Remove use of red labels on errors
	- Remove obex-data-server support, and require obexd
	- Try harder to get a device name

Wizard:
	- Fix handling for devices that use random passkeys, but
	  can't handle 6 digits (such as Sony CMT-DH5BT)
	- Add Simple Pairing support
	- Try harder to connect to devices after pairing them, fixes
	  the Microsoft Wireless Notebook Presenter Mouse 8000 not
	  working straight after pairing
	- Allow skipping name resolution when we would be using
	  a fixed passkey
	- Don't allow stepping back in the middle of pairing
	- Add more instructions on the front page
	- Many many UI changes

Library:
	- Allow getting arbitrary data from the backend for
	  BluetoothChooser users
	- Only export the supported symbols in the library
	- Add plugin support, so third-party applications can
	  be setup, for a particular device, from the preferences
	  or the wizard
	- Replace the search button with a "Searching" label and spinner

ver 2.27.5:
	- Fix some killswitch related bugs
	- Work with older versions of Pango
	- Fix pairing with Blackberry and Samsung phones
	- Use the services status to check the connection status,
	  makes connecting/disconnecting devices much faster
	- Add a quit menu to the applet, when in debug mode
	- Fix passkey special-casing when a OUI is used

ver 2.27.4:
	- Fix display of labels on the passkey page, and of the
	  passkey on the passkey options dialogue
	- More use of GtkBuilder in the wizard
	- First pass at user-targetted documentation
	- Fix a few memory leaks
	- Fix crash when running properties installed

ver 2.27.3:
	- Fix schema installation
	- Make sure the applet works even without the schema being
	  installed properly
	- Fix display of devices with underscores in their name
	  in the applet
	- Fix some devices with no real audio support (AVCRP phones
	  for example) showing up in the applet

ver 2.27.2:
General:
	- Use our own "paired" icon, to avoid confusion in some themes
	- Remove "Trust" from the UI, it's an implementation detail
	- Group input and audio device-types under the same heading
	in the chooser

Applet:
	- Use new "disabled" icons
	- Add a status label for the killswitch menu item
	- Add the ability to connect/disconnect from devices
	directly from the applet's menu

Properties:
	- Only show the default adapter, and simplify the UI
	- Show a way to turn off the killswitch when there's
	no Bluetooth adapters in the machine

Wizard:
	- Don't show "Enter passkey" when we know the passkey
	of the device already
	- Remove special-casing of mice, and PS3 BD remote from
	the code and into the database
	- Move passkey options button back into the content area,
	from the action area
	- Simplify passkey options dialogue
	- Connect to input and audio devices when setup finishes
	- Mark all the newly paired devices as trusted
	- Fix the wizard not allowing to get past the search page
	when the device selected didn't have a name at first
	- Port quirks database to XML
	- Add quirk for the Bluemax Bluetooth GPS Receiver GPS-009
	- Add quirk for the Nintendo Wiimote
	- Add quirk for iBT-GPS, and another GPS

Sendto:
	- Fix obex-data-server support

ver 2.27.1:
	- Fix the translations clashing with the old gnome-bluetooth

ver 2.27.0:
	UI changes:
	- Move the device related buttons in the properties,
	and add labels for them
	- Fix the properties not fitting on netbook screens
	- Revive the chooser widget, and add a chooser button,
	exported through a library
	- Add killswitch functionality to the applet, and show
	the applet as disabled when the killswitch is on, or
	the adapter is disabled
	- Make the discoverable preference easier
	- Use the GTK+ invisible char not '*' in the wizard for Simple
	Pairing
	- Better display of passkey in the wizard
	Functional changes:
	- Add PIN quirks database for a number of devices for wizard
	- Allow users to select another passkey for devices in wizard
	- Wait for the device name to be available before setting up
	a device
	Build fixes:
	- Remove use of deprecated functions
	- Loads of memory leak fixes
	- Show the Bluetooth preferences in XFCE, and launch
	the applet there as well
	- Update sendto for latest obex-data-server API

ver 1.8:
	Add additional support for using obex-client.
	Make mice and keyboards automatically trusted.
		
ver 1.7:
	Add support for HAL enabled kill switches.

ver 1.6:
	Add new visibility settings.
	Add device setup button to properties application.
	Add activation menu with option to setup devices.
	Use the Icon property for device type icons.
	Use the Alias property for device names.

ver 1.5:
	Use GIO to normalize pathnames.
	Fix getting name of remote devices.
	Write "time left" in human readable terms.

ver 1.4:
	Use longer D-Bus timeout for device creation.
	Add Simple Pairing support to the wizard.
	Add bluetooth-browse application.
	Stop discovery when closing browse dialog.
	Connect keyboards and mice after setup.
	Introduce headphone device type.

ver 1.3:
	Fix pincode handling for headsets and mice.
	Fix complete status when going back to search page.
	Use StartDiscovery and StopDiscovery method calls.
	Sort search lists by RSSI value.

ver 1.2:
	Add support for numeric passkey requests.
	Add support for confirmation requests.
	Remove --singleton from desktop files.

ver 1.1:
	Fix device status display in selection lists.
	Enable bluetooth-sendto application.
	Enable bluetooth-wizard application.

ver 1.0:
	Make use of the BlueZ 4.x D-Bus API.

ver 0.28:
	Import translations from Ubuntu Rosetta.
	Add selected device name property.
	Hide filters box when not needed.

ver 0.27:
	Import translations from Ubuntu Rosetta.
	Improve the handling of error messages.
	Make the display of service names translatable.
	Remove status column for services.
	Disable the passkey confirmation part.
	Enable PIE by default if supported.
	Don't optimize when debug is enabled.

ver 0.26:
	Import translations from Ubuntu Rosetta
	Update user interface of sendto application.
	Move analyzer application to the system category.

ver 0.25:
	Remove signal handlers when no longer needed.
	Show OBEX errors and close server on failure.

ver 0.24:
	Update various translations.
	Add Frisian translation.
	Add tablets and joypads/joysticks device types.
	Fix setting filter properties in the device selection widget.
	Fix missing assignment of filter labels.
	Show all the possibly known devices.

ver 0.23:
	Include more translations from Ubuntu Rosetta.

ver 0.22:
	Update for obex-data-server version 0.3 API.

ver 0.21:
	Update Polish translation.
	Allow translation of the sendto application.
	Fix annotation for missing translatable strings.
	Fix translation issue for desktop files.

ver 0.20:
	Disable signals when finalizing the object.
	Make about dialog a single instance.

ver 0.19:
	Add new Tango friendly Bluetooth icon.
	Add support for file receiving.
	Add support for file sharing.
	Don't show class of device selector when HAL is used.
	Enable the clickable links and call applications.
	Make search button and discovery work again.
	Fix detection of database update tools.

ver 0.18:
	Update Japanese translation.
	Separate status icon, notification and agent handling.

ver 0.17:
	Update Polish translation.
	Handle uint64 file size variables.
	Use object path for session path type.
	Use well known name to autostart the OBEX service.

ver 0.16:
	Update Polish translation.
	Add Japanese translation.
	Add more supported HAL classes.
	Add support for handling default adapter changes.
	Make device selection widget look better.
	Make notification library a requirement.
	Enable sendto application.

ver 0.15:
	Use buttons in notification popups.
	Use CreateSecureDevice for input device setup.
	Add remove button for network connections.
	Enable connect/disconnect button for network devices.
	Enable singleton support.
	Update device selection widget.
	Make tooltips HIG compliant.

ver 0.14:
	Add support for Bluetooth mime types.
	Add support for service specific actions.
	Ask user to confirm when deleting a bonding.

ver 0.13:
	Include translations from Ubuntu Rosetta.

ver 0.12:
	Add support for disconnecting devices.
	Add support for changing the trust status.
	Add trust checkbox to authorization dialog.

ver 0.11:
	Add support for BTSnoop files with baseband data.
	Add support for showing list of bonded devices.
	Split properties code into multiple files.

ver 0.10:
	Add Bluetooth protocol analyzer application.
	Add Bluetooth device selection widget.
	Add browse device menu entry.
	Remove GTK compat code for status icon.

ver 0.9:
	Simplify the GConf callbacks.
	Make some strings more translator friendly.
	Don't translate command-line warnings.
	Rename Brazilian translation file.
	Update Polish translation.
	Add Romanian translation.

ver 0.8:
	Add support for limited discovery mode.

ver 0.7:
	Fix handling of multiple adapters.
	Use HAL for initial class of device setup.
	Add basic support for authorization agent.
	Add missing manual pages.
	Add GConf schema support.
	Add translatable desktop and schema files.
	Add Finish translation.
	Add Brazilian translation.
	Add Polish translation.
	Add Hungarian translation.

ver 0.6:
	Fix policy for showing status icon.
	Add support for confirmation callback.
	Add application for Bluetooth settings.

ver 0.5:
	Add support for periodic discovery.

ver 0.4:
	Fix handling of daemon restarts.
	Always show the status icon.

ver 0.3:
	Add notification support.
	Add about dialog.

ver 0.2:
	Add status icon support.

ver 0.1:
	Initial public release.
